### Interface

# Nautilus MenuProvider

#### Description

    interface Nautilus.MenuProvider : GObject.Object

No description available.

#### Prerequisite

In order to implement MenuProvider, your type must inherit from`GObject`.

#### Instance methods

###### nautilus_menu_provider_emit_items_updated_signal

Emits `NautilusMenuProvider::items-updated`.

###### nautilus_menu_provider_get_background_items

No description available.

###### nautilus_menu_provider_get_file_items

No description available.

#### Signals

###### Nautilus.MenuProvider::items-updated

No description available.

#### Interface structure

    struct NautilusMenuProviderInterface {
      GTypeInterface g_iface;
      GList* (* get_file_items) (
        NautilusMenuProvider* provider,
        GList* files
      );
      GList* (* get_background_items) (
        NautilusMenuProvider* provider,
        NautilusFileInfo* current_folder
      );

    }

Interface for extensions to provide additional menu items.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.
`get_file_items` |
    GList* (* get_file_items) (
        NautilusMenuProvider* provider,
        GList* files
      )
| No description available.
`get_background_items` |
    GList* (* get_background_items) (
        NautilusMenuProvider* provider,
        NautilusFileInfo* current_folder
      )
| No description available.

#### Virtual methods

###### Nautilus.MenuProvider.get_background_items

No description available.

###### Nautilus.MenuProvider.get_file_items

No description available.